# connectorResponse

Connector response object.

### Examples

```graphql
type ConnectorResponse {
  connector: Connector
}
```

### Fields

| Field                                                                                                | Description      | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ---------------------------------------------------------------------------------------------------- | ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| connector [`Connector`](/api-documentation/api-reference/api--connectors/types/objects/connector.md) | Connector object | <p>id <code>String</code><br>name <code>String</code><br>displayName <code>String</code><br>description <code>String</code><br>hostURL <code>String</code><br>iconURL <code>String</code><br>family <code>String</code><br>credentialsType <a href="/pages/Iul3Kg3jD5gyL8K2stDI"><code>CredentialsType</code></a><br>credentialsTypes <a href="/pages/Iul3Kg3jD5gyL8K2stDI"><code>\[CredentialsType]</code></a><br>brokerSupportCredentialsTypes <a href="/pages/Iul3Kg3jD5gyL8K2stDI"><code>\[CredentialsType]</code></a><br>disabledMultiCredentialsTypes <a href="/pages/Iul3Kg3jD5gyL8K2stDI"><code>\[CredentialsType]</code></a><br>credentials <a href="/pages/t1aK5AMnMSf1plabUIbl"><code>\[Credential]</code></a><br>isConfigured <code>Boolean</code><br>isResourceAvailable <code>Boolean</code><br>ffKeyResourceAvailable <code>String</code><br>resourceOptions <a href="/pages/Wn7tJ1e2SXhHHima9aG2"><code>ResourceOptions</code></a><br>resources <a href="/pages/UScyiG4rbAVy80ZSLCgi"><code>\[ResourceItem]</code></a><br>isOxBuiltIn <code>Boolean</code><br>isOpenSource <code>Boolean</code><br>openSourceWebsiteUrl <code>String</code><br>openSourceLicense <code>String</code><br>openSourceAuthor <code>String</code><br>defaultEnabled <code>Boolean</code><br>comingSoon <code>Boolean</code><br>isDemoEnabled <code>Boolean</code><br>aliasFor <code>String</code><br>identityProviderInfo <a href="/pages/u0SBnnziVfvcTAwLhgYF"><code>IdentityProviderInfo</code></a><br>gitHubAppInfo <a href="/pages/deKkSGoHDO5xmnhTqB7D"><code>GitHubAppInfo</code></a><br>bitbucketAppInfo <a href="/pages/b6eWbFBhBDOUhs3eejlr"><code>BitbucketAppInfo</code></a><br>awsCloudFormationInfo <a href="/pages/aij6MAlMdqoWFnJDsCqJ"><code>AWSCloudFormationInfo</code></a><br>awsCloudFormationOrganizationInfo <a href="/pages/aij6MAlMdqoWFnJDsCqJ"><code>AWSCloudFormationInfo</code></a><br>connectionInstructions <a href="/pages/AQu0UWXmbmy1hCM3SmfQ"><code>\[ConnectionInstructions]</code></a><br>isDiscovered <code>Boolean</code><br>isEmptyOfRepos <code>Boolean</code><br>isDevelopment <code>Boolean</code><br>connectorExplanation <code>String</code><br>optionalInputFields <a href="/pages/r9X5ze4T8Gp56BOwbMdN"><code>\[OptionalConnectorInput]</code></a><br>conditionalOptionalTabs <a href="/pages/Hk5xeNHTor3ysvbmhMJF"><code>\[ConditionalOptionalTabs]</code></a><br>dependsOn <code>String</code><br>disabledBy <code>\[String]</code><br>externalLink <code>String</code><br>textExternalLink <code>String</code><br>internalLink <code>String</code><br>textInternalLink <code>String</code><br>ffKey <code>String</code><br>beta <code>Boolean</code><br>supportedDisabledCertChecksTypes <code>\[String]</code><br>enableMultiCredentials <code>Boolean</code></p> |

### References

#### Mutations using this object:

* [<\~> addCredentials](/api-documentation/api-reference/api--connectors/mutations/add-credentials.md)
* [<\~> removeCredentials](/api-documentation/api-reference/api--connectors/mutations/remove-credentials.md)

#### Fields with this object:

* [{} ConnectorsByFamily.connectors](/api-documentation/api-reference/api--connectors/types/objects/connectors-by-family.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/connector-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
